PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_zgemm_Tile | ( | PLASMA_enum | transA,
|  | PLASMA_enum | transB,
|  | PLASMA_Complex64_t | alpha,
|  | PLASMA_desc * | A,
|  | PLASMA_desc * | B,
|  | PLASMA_Complex64_t | beta,
|  | PLASMA_desc * | C
| ) |  |

PLASMA_zgemm_Tile - Performs matrix multiplication. Tile equivalent of PLASMA_zgemm(). Operates on matrices stored by tiles. All matrices are passed through descriptors. All dimensions are taken from the descriptors.

Parameters

  [in] | transA | Specifies whether the matrix A is transposed, not transposed or conjugate transposed: = PlasmaNoTrans: A is not transposed; = PlasmaTrans: A is transposed; = PlasmaConjTrans: A is conjugate transposed.
  [in] | transB | Specifies whether the matrix B is transposed, not transposed or conjugate transposed: = PlasmaNoTrans: B is not transposed; = PlasmaTrans: B is transposed; = PlasmaConjTrans: B is conjugate transposed.
  [in] | alpha | alpha specifies the scalar alpha
  [in] | A | A is a LDA-by-ka matrix, where ka is K when transA = PlasmaNoTrans, and is M otherwise.
  [in] | B | B is a LDB-by-kb matrix, where kb is N when transB = PlasmaNoTrans, and is K otherwise.
  [in] | beta | beta specifies the scalar beta
  [in,out] | C | C is a LDC-by-N matrix. On exit, the array is overwritten by the M by N matrix ( alpha*op( A )*op( B ) + beta*C )

Returns

Return values

  PLASMA_SUCCESS | successful exit

See also
  PLASMA_zgemm
  PLASMA_zgemm_Tile_Async
  PLASMA_cgemm_Tile
  PLASMA_dgemm_Tile
  PLASMA_sgemm_Tile